Trading

trade-maxbuysell

Retrieve the maximum buy/sell quantity by account, symbol, and price.

GET
/api/v3/trading/maxBuySell

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The format of the request body content. Primarily application/json.

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system will default to en

Query Parameters

accountNostringrequired

The trading account for which to check the maximum buy/sell quantity.

symbolstringrequired

The securities symbol for which to check the maximum buy/sell quantity.

pricestringrequired

The price for which to check the maximum buy/sell quantity.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit within the cycle.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current cycle.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/trading/maxBuySell?accountNo=string&symbol=string&price=string" \  -H "Content-Type: application/json"

Success

{
  "data": {
    "accountNo": "string",
    "maxBuyQty": 0.1,
    "marginRatio": 0.1,
    "maxSellQty": 0.1,
    "purchasingPower": 0.1
  }
}

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}